Bug 62454 - Anaconda crashes when trying to mount filesystems in rescue mode
Anaconda crashes when trying to mount filesystems in rescue mode
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
skipjack-beta1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-01 01:47 EST by Nathan G. Grennan
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-19 15:00:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2002-04-01 01:47:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020314

Description of problem:
If /etc/fstab has a typo in it like a 0 on a line alone anaconda will crash when
trying to mount filesystems to /mnt/sysimage. Booting into RedHat Linux normally
with this typo causes alot of error messages, but boots normally.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Add a zero character on it's own line in /etc/fstab
2. Reboot
3. Boot off RedHat Linux 7.2.92 CD1
4. Enter   linux rescue  at the boot: prompt
5. Select Skip when asked if you want to check the cd
6. Select Continue when asked if you want to mount filesystems to /mnt/sysimage
	

Actual Results:  Anaconda crashs with a traceback

Expected Results:  Anaconda to either gracefully abort and refuse to mount the
filesystems or to workaround the typo and continue as it normally work, along
with error messages about a invalid entry in fstab.

Additional info:

I ran into this after I reorganized /etc/fstab to be more readable and added
comments as to what each entry's corrsponding device filename was in comments.
In the process I cut and paste the cdrom entries and produced a line with just a
zero on it.
Comment 1 Michael Fulbright 2002-04-01 12:04:48 EST
We will address this issue in a future release.
Comment 2 Jeremy Katz 2002-08-19 15:00:45 EDT
We should be a lot smarter about handling these in 7.3 and Limbo
Comment 3 David Lawrence 2002-09-03 16:59:48 EDT
verified fixed in latest code.
Comment 4 Michael Fulbright 2002-12-20 12:38:25 EST
Time tracking values updated

Note You need to log in before you can comment on or make changes to this bug.